# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libmfkonqmficon (kpart) ###################

tde_add_kpart( libmfkonqmficon AUTOMOC
  SOURCES konqmficon.cpp pluginbase.cpp
  LINK tdehtml-shared konq-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES mf_konqmficon.desktop mf_konqmficon.rc
  DESTINATION ${DATA_INSTALL_DIR}/tdehtml/kpartplugins
)

install( FILES microformat.png
  DESTINATION ${DATA_INSTALL_DIR}/microformat/pics
)
